manpath(1)

NAME
manpath - ermittelt den aktuellen Suchpfad für die Manualseiten

SYNTAX
manpath [-qgdc] [-m System[,...]]

BESCHREIBUNG
manpath versucht den aktuellen Suchpfad der Manualseiten aus den Standardeinstellungen und der Umgebungsvariable $PATH zu ermitteln. Das Ergebnis wird auf der Standardausgabe ausgegeben, Warnungen und Fehler auf der Standardfehlerausgabe. Wenn ein Verzeichnis nicht in der Konfigurationsdatei aufgelistet ist, sucht manpath nach den Unterverzeichnissen `man' und `MAN'. Wenn diese existieren, werden sie dem Suchpfad hinzugefügt. Da manpath von man benutzt wird, um den Suchpfad zu bestimmen, ist es für einen Benutzer im Normalfall nicht notwendig, die Umgebungsvariable $MANPATH direkt zu setzen.

OPTIONEN

-q, --quiet
    Gibt nur den endgültigen Manualpfad aus.

-d, --debug
    Ausgeben von Fehlerinformationen.

-c, --catpath
    Erzeugt einen cat-Suchpfad. Vorhandene Manualpfade werden in relative cat-Suchpfade umgewandelt. Diese Option kann mit -g kombiniert werden.

-g, --global
    Erzeugt einen Manualpfad, der aus allen Pfaden besteht, die in der Konfigurationsdatei als global bezeichnet sind. Diese Option kann mit -c kombiniert werden.

-m System [,...], --systems=System [,...]
    Wenn auch Manualseiten von einem anderen Betriebssystem installiert sind, so kann auf sie mit dieser Option zugegriffen werden. Um beispielsweise die Manualseiten von NewOS zu durchsuchen, muß -m NewOS angegeben werden. Das angegebene System kann eine durch Kommata abgetrennte Aufzählung von Betriebssystemnamen sein. Die normalen Seiten werden durch den Betriebssystemnamen man angesprochen. Diese Option überschreibt die Umgebungsvariable $SYSTEM.

-h, --help
    Zeigt einen Hilfstext an.

-V, --version
    Zeigt Programmversion und Autor an.

UMGEBUNG

MANPATH
    Wenn $MANPATH gesetzt ist, gibt manpath diesen Wert auf die Standardausgabe aus. Warnungen werden auf die Standardfehlerausgabe ausgegeben.

SYSTEM
    Wenn $SYSTEM gesetzt ist, hat dies die gleiche Wirkung wie die Option -m System wobei System als Inhalt von $SYSTEM angenommen wird.

DATEIEN

/etc/manpath.config
    Die Manualkonfigurationsdatei.

SIEHE AUCH
apropos(1), whatis(1), man(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk), die deutsche Übersetzung ist von Anke Steuernagel (a_steuer@informatik.uni-kl.de) und Nils Magnus (magnus@informatik.uni-kl.de).